﻿//ADL Sample Code to Retrieve API Reference

var apiHandle = null;

function getAPIHandle() {

if (apiHandle == null)    {

apiHandle = getAPI();

}

return apiHandle;

}

function getAPI() {

var theAPI = findAPI(window);

if ((theAPI == null) && (window.opener != null) && (typeof(window.opener) != "undefined"))    {

theAPI = findAPI(window.opener);

}

if (theAPI == null)  {

alert("Unable to find an API adapter");

}

return theAPI

}

function findAPI(win) {

var findAPITries = 0;

while ((win.API == null) && (win.parent != null) && (win.parent != win))    {

findAPITries++;

// Note: 7 is an arbitrary number, but should be more than sufficient

if (findAPITries > 7)

{

alert("Error finding API -- too deeply nested.");

return null;

}

win = win.parent;

}

return win.API;

}

//Function to set a value in the LMS

function SetValue(name, value) {

var api = getAPIHandle();

return api.LMSSetValue(name, value);

}

//Function to retrieve a value from the lms

function Getvalue(name) {

var api = getAPIHandle();

return api.LMSGetValue(name);

}

//The following 4 lines handle our actions for this example

// get the API, Initialize the LMS, retrieve a value, set a value

var api = getAPIHandle();

api.LMSInitialize("");


if (api.LMSGetValue("cmi.core.lesson_status") !="completed") {
	api.LMSSetValue("cmi.core.lesson_status","completed")
}
